
// ---- SDRAM ----
#define	SDRAM_START		0xa0000000

#define	ELFBOOT_START		0xa0010000	// start of bootloader area

// exception vector
#define EXCEPTION_RESET		0xa0010000
#define	EXCEPTION_UNDEF		0xa0010004
#define EXCEPTION_SWI		0xa0010008
#define EXCEPTION_PABORT	0xa001000c
#define EXCEPTION_DABORT	0xa0010010
#define EXCEPTION_NOUSE		0xa0010014
#define EXCEPTION_IRQ		0xa0010018
#define EXCEPTION_FIQ		0xa001001c
// exception vector

#define	LAUNCH_START		0xa0010400

#define	BOOTSTACK_START		0xa0020000
#define	ELFBOOT_END		0xa0020000	// end of bootloader area


#define KERNEL_START		0xa0300000	// start of kernel area
