#ifndef _TYPES_HEADER_
#define _TYPES_HEADER_

typedef signed long	int32s;
typedef signed short	int16s;
typedef signed char	int8s;

typedef unsigned long	int32u;
typedef unsigned short	int16u;
typedef	unsigned char	int8u;

typedef volatile unsigned long	vint32u;
typedef volatile unsigned short	vint16u;
typedef	volatile unsigned char	vint8u;


typedef int32u		size_t;

typedef int             bool;

#define TRUE		1
#define FALSE		0
#define	true		1
#define false		0

#ifndef NULL
#define NULL		(void *)0
#endif



typedef enum {
	VAR_LONG=32,
	VAR_SHORT=16,
	VAR_CHAR=8
} VAR_TYPE;


typedef char *va_list;

#define va_start(ap, p)		(ap = (char *) (&(p)+1))
#define va_arg(ap, type)	((type *) (ap += sizeof(type)))[-1]
#define va_end(ap)		((void)0)



#endif // _TYPES_HEADER_
