
#include <arch/arch.h>
#include <drivers/dot/dot.h>
#include <drivers/serial/serial.h>


void dot_display(int type)
{
	switch (type) {
		case DOT_CLOCK:
			dot0_write(DOT_COL1, 0x7e);
			break;

		case DOT_COFFEE:
			for (;;) {
			dot0_write(DOT_COL1, 0x08);
			dot0_write(DOT_COL2, 0x24);
			dot0_write(DOT_COL3, 0x14);
			dot0_write(DOT_COL4, 0x10);
			dot0_write(DOT_COL5, 0x00);
			
			dot1_write(DOT_COL1, 0x7f);
			dot1_write(DOT_COL2, 0x41);
			dot1_write(DOT_COL3, 0x41);
			dot1_write(DOT_COL4, 0x22);
			dot1_write(DOT_COL5, 0x7e);
			}

			break;

		default:
			break;
	}
}

void dot0_write(int col, int row)
{
	DOT0_REG = (unsigned short)((row << 8) | col);
}

void dot1_write(int col, int row)
{
	DOT1_REG = (unsigned short)((row << 8) | col);
}

