#ifndef _RTC_H_
#define _RTC_H_


#define RTC_CHECK	0
#define RTC_TIME	1
#define RTC_ALARM	2


int rtc_status(int flag);

void rtc_init(int hour, int minute, int second);
void rtc_handler(void);
void rtc_set(int hour, int minute, int second);
unsigned long rtc_get(void);

void rtc_alarm_init(int hour, int minute, int second);
void rtc_alarm_release(void);
void rtc_alarm_handler(void);
unsigned long rtc_alarm_remain(void);


#endif // _RTC_H_
