# 1 "main.c"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "main.c"
# 1 "/home/dotgoon/project/elfos/include/kernel/include.h" 1





# 1 "/home/dotgoon/project/elfos/include/arch/types.h" 1



typedef signed long int32s;
typedef signed short int16s;
typedef signed char int8s;

typedef unsigned long int32u;
typedef unsigned short int16u;
typedef unsigned char int8u;

typedef volatile unsigned long vint32u;
typedef volatile unsigned short vint16u;
typedef volatile unsigned char vint8u;


typedef int32u size_t;

typedef int bool;
# 32 "/home/dotgoon/project/elfos/include/arch/types.h"
typedef enum {
        VAR_LONG=32,
        VAR_SHORT=16,
        VAR_CHAR=8
} VAR_TYPE;


typedef char *va_list;
# 7 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 1 "/home/dotgoon/project/elfos/include/kernel/setup.h" 1
# 11 "/home/dotgoon/project/elfos/include/kernel/setup.h"
extern int32u quantum_g;
extern void Kern_Init();
# 8 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 1 "/home/dotgoon/project/elfos/include/arch/port.h" 1
# 15 "/home/dotgoon/project/elfos/include/arch/port.h"
extern void Port_Init();
extern void Port_ThreadSwitch();
extern void Port_DevInit();
extern void Port_TimerInit();
extern void Port_IntVecInit();
# 28 "/home/dotgoon/project/elfos/include/arch/port.h"
extern void Port_InterruptEnable();
extern void Port_InterruptDisable();
# 9 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 1 "/home/dotgoon/project/elfos/include/kernel/interrupt.h" 1
# 13 "/home/dotgoon/project/elfos/include/kernel/interrupt.h"
extern int32u quantum_g;
extern void Kern_TickISR();
# 10 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 1 "/home/dotgoon/project/elfos/include/kernel/mm.h" 1
# 12 "/home/dotgoon/project/elfos/include/kernel/mm.h"
# 1 "/home/dotgoon/project/elfos/include/kernel/list.h" 1
# 15 "/home/dotgoon/project/elfos/include/kernel/list.h"
struct list_head {
        struct list_head *next, *prev;
};






static inline void INIT_LIST_HEAD(struct list_head *list)
{
        list->next = list;
        list->prev = list;
}



static inline void __list_add(struct list_head *new,
                              struct list_head *prev,
                              struct list_head *next)
{
        next->prev = new;
        new->next = next;
        new->prev = prev;
        prev->next = new;
}



static inline void ListAdd(struct list_head *new, struct list_head *head)
{
        __list_add(new, head, head->next);
}



static inline void ListAddTail(struct list_head *new, struct list_head *head)
{
        __list_add(new, head->prev, head);
}



static inline void __list_del(struct list_head * prev, struct list_head * next)
{
        next->prev = prev;
        prev->next = next;
}



static inline void ListDel(struct list_head *entry)
{
        __list_del(entry->prev, entry->next);
        entry->next = entry;
        entry->prev = entry;
}



static inline int ListEmpty(const struct list_head *head)
{
        return head->next == head;
}
# 13 "/home/dotgoon/project/elfos/include/kernel/mm.h" 2
# 44 "/home/dotgoon/project/elfos/include/kernel/mm.h"
typedef struct memHead {
        int32u nblocks;

        struct list_head memLink;
        struct list_head allocLink;
        struct list_head freeMemLink;
        int32u threadID;
        int32u status;


        int32u *pVar;


} memclt_t ;


extern int8s heap[];
extern bool Kern_MemInit();
extern int32u *MemAlloc(size_t size);
static memclt_t * Kern_WantedBlkFind(size_t size);
static int8s Kern_MemBlkGet(memclt_t * pBlkAddr, size_t size);

extern int8s MemRelease(void *pDesired);
static bool Kern_MemMerge(memclt_t * pPrevBlk, memclt_t * pNextBlk, int8u dir);





extern int32u *pHeapList_g;
# 11 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 1 "/home/dotgoon/project/elfos/include/kernel/pipe.h" 1
# 12 "/home/dotgoon/project/elfos/include/kernel/pipe.h"
# 1 "/home/dotgoon/project/elfos/include/kernel/iosub.h" 1
# 17 "/home/dotgoon/project/elfos/include/kernel/iosub.h"
typedef struct device_operation {

        int32s (*Create)();
        int32s (*Open)();
        int32s (*Read)();
        int32s (*Write)();
        int32s (*Close)();
        int32s (*Ioctl)();
        int32s (*Destroy)();
}dev_op_t;


dev_op_t *pDevTable_g[255];


int8s
Kern_RegisterDev(int8u devNum,void *Dev_Create,void *Dev_Open, void *Dev_Read,
                void *Dev_Write, void *Dev_Close, void *Dev_Ioctl,void *Dev_Destroy);

int8s
Kern_DeallocDev(int8u devNum);

dev_op_t *
Kern_GetDevOp(int8u devNum, int8s *err);
# 13 "/home/dotgoon/project/elfos/include/kernel/pipe.h" 2
# 1 "/home/dotgoon/project/elfos/include/kernel/thread.h" 1
# 12 "/home/dotgoon/project/elfos/include/kernel/thread.h"
typedef void (*fp_t)(void *);

typedef enum tcb_status {
                CREATED,
                READY,
                RUNNING,
                FINISHED,
                FREE
} tcb_status;


typedef struct tcb
{
                int32u *pStack;
                struct list_head threadList;

                int16u prior;
                int16u tickDly;
                int16u tid;
                tcb_status status;
                struct list_head resources;


                int16u deadLine;
                int32u timeSlice;
                memclt_t memList;

} tcb_t, *ptcb_t;

extern tcb_t *Kern_ThreadCreate(
                                int16u tid, fp_t pT, int16u prio, int16u deadLine);
extern void Kern_ThreadTerminate();
# 14 "/home/dotgoon/project/elfos/include/kernel/pipe.h" 2







typedef struct pipe_operation {
        int32s (*Create)();
        int32s (*Open)();
        int32s (*Read)();
        int32s (*Write)();
        int32s (*Close)();
        int32s (*Ioctl)();
        int32s (*Destroy)();
}pipe_op_t;


typedef struct pipe {
        int16u pid;
        int16u count;
        pipe_op_t *p_op;
        int16u in, out;
        size_t buff_size;
        void *data;
        void *owner;
} pipe_t;



int8s InitPipeOp();
int8u CreatePipe(int8u pid, size_t size);
pipe_t *OpenPipe(int8u pid, int8u mode);
int8s *ReadFromPipe(pipe_t *pipe, int8s *dest, size_t size);
size_t WriteToPipe(pipe_t *pipe, const int8s *src, size_t size );
int8s ClosePipe(pipe_t *pipe);
int8s DestroyPipe();
# 12 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 1 "/home/dotgoon/project/elfos/include/kernel/schedule.h" 1
# 17 "/home/dotgoon/project/elfos/include/kernel/schedule.h"
typedef struct waitList {



        struct list_head threadList;
        int32u nThread;
} waitList_t;


typedef enum policy {
                MIN_POLICY,
                D_RR,
                PRIO,
                EDF,
                MAX_POLICY
} policy;

extern tcb_t *pCurrThread_g, *pNextThread_g;
extern waitList_t *pBlockedList_g;
extern policy sched_policy_g;

extern int8s Kern_Sched();
extern int8s Kern_TickIsr();
extern tcb_t *Kern_FindNextTcb_t();
extern int8s Kern_SchedulerStart();
extern int8s Kern_RdyListInit();

extern int8s Kern_WakeThread(tcb_t *thread);
extern void Sleep(int32u time);
extern int8s Kern_BlockedListInit();
extern tcb_t *Kern_GetCurrThread();
extern int8s Kern_RdyListInsert(tcb_t * newtcb);
extern int8s Kern_BlockThread(tcb_t *curr,waitList_t *pList);
extern int8s Kern_WakeThread(tcb_t *thread);
extern void TaskStart(void *data);
extern void Kern_SchedInit();
# 13 "/home/dotgoon/project/elfos/include/kernel/include.h" 2
# 2 "main.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/serial/serial.h" 1






void serial_init(void);
int serial_poll(void);
int serial_flush_input(void);
int serial_flush_output(void);
int serial_read(void);
int serial_write_raw(const char c);
int serial_write(const char c);



void SerialOutputString(const char *s);
void SerialOutputHex(const int32u h);
void SerialOutputDec(const int32u d);
void SerialOutputBlock(const char *buf, int bufsize);
int SerialInputString(char *s, const int len);
int SerialInputBlock(char *buf, int bufsize);
# 3 "main.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/lcd/define.h" 1
# 29 "/home/dotgoon/project/elfos/include/drivers/lcd/define.h"
unsigned char *BATANG;

unsigned char BIMAGE[12][400];
unsigned char EVENT_IMG1[4][900];
unsigned char *PAL;
# 4 "main.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/rtc/rtc.h" 1
# 10 "/home/dotgoon/project/elfos/include/drivers/rtc/rtc.h"
int rtc_status(int flag);

void rtc_init(int hour, int minute, int second);
void rtc_handler(void);
void rtc_set(int hour, int minute, int second);
unsigned long rtc_get(void);

void rtc_alarm_init(int hour, int minute, int second);
void rtc_alarm_release(void);
void rtc_alarm_handler(void);
unsigned long rtc_alarm_remain(void);
# 5 "main.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/key/key.h" 1
# 11 "/home/dotgoon/project/elfos/include/drivers/key/key.h"
void key_init(void);
void key_handler(void);
char key_read(void);
# 6 "main.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/fnd/fnd.h" 1
# 10 "/home/dotgoon/project/elfos/include/drivers/fnd/fnd.h"
void fnd_display(unsigned short *fnd_value);
void fnd_write(int *);
unsigned short fnd_segment(int, int, int);
# 7 "main.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/dot/dot.h" 1
# 53 "/home/dotgoon/project/elfos/include/drivers/dot/dot.h"
void dot_display(int type);
void dot0_write(int col, int row);
void dot1_write(int col, int row);
# 8 "main.c" 2



int C_Entry()
{
        rtc_init(7, 0, 0);

        Arch_Init();
        Kern_Init();
        Kern_IOSubBuild();

        dot_display(0x1);

        while(1) {;}

        return 0;
}
