/*************************************************************************** 
 * File        : port.h 
 * Date        : 2007/03/05
 * Author      : Sun Joon Gyu
 * Modified    :      
 * Description : 
 * ***************************************************************************/
#ifndef _PORT_H_
#define _PORT_H_

//#include"../movement/movement.c"
//#define	Port_CriticalSectionEnter()	mm_CriticalSectionEnter()
//#define	Port_CriticalSectionLeave()	mm_CriticalSectionExit()

extern void Port_Init();
extern void Port_ThreadSwitch();
extern void Port_DevInit();
extern void Port_TimerInit();
extern void Port_IntVecInit();

/* Do not use the following 2 functions (Not implemented yet)*/
#if 0
extern void Port_CriticalSectionEnter();
extern void Port_CriticalSectionLeave();
#endif
/* -------------------------------------*/

extern void Port_InterruptEnable();
extern void Port_InterruptDisable();
#define CRITICAL_SECTION_ENTER() Port_InterruptEnable()	
#define	CRITICAL_SECTION_LEAVE() Port_InterruptDisable()	

#endif // _PORT_T_
