# 1 "dot.c"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "dot.c"

# 1 "/home/dotgoon/project/elfos/include/arch/arch.h" 1
# 3 "dot.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/dot/dot.h" 1



# 1 "/home/dotgoon/project/elfos/include/arch/types.h" 1



typedef signed long int32s;
typedef signed short int16s;
typedef signed char int8s;

typedef unsigned long int32u;
typedef unsigned short int16u;
typedef unsigned char int8u;

typedef volatile unsigned long vint32u;
typedef volatile unsigned short vint16u;
typedef volatile unsigned char vint8u;


typedef int32u size_t;

typedef int bool;
# 32 "/home/dotgoon/project/elfos/include/arch/types.h"
typedef enum {
        VAR_LONG=32,
        VAR_SHORT=16,
        VAR_CHAR=8
} VAR_TYPE;


typedef char *va_list;
# 5 "/home/dotgoon/project/elfos/include/drivers/dot/dot.h" 2
# 53 "/home/dotgoon/project/elfos/include/drivers/dot/dot.h"
void dot_display(int type);
void dot0_write(int col, int row);
void dot1_write(int col, int row);
# 4 "dot.c" 2
# 1 "/home/dotgoon/project/elfos/include/drivers/serial/serial.h" 1






void serial_init(void);
int serial_poll(void);
int serial_flush_input(void);
int serial_flush_output(void);
int serial_read(void);
int serial_write_raw(const char c);
int serial_write(const char c);



void SerialOutputString(const char *s);
void SerialOutputHex(const int32u h);
void SerialOutputDec(const int32u d);
void SerialOutputBlock(const char *buf, int bufsize);
int SerialInputString(char *s, const int len);
int SerialInputBlock(char *buf, int bufsize);
# 5 "dot.c" 2


void dot_display(int type)
{
        switch (type) {
                case 0x0:
                        dot0_write(0x01, 0x7e);
                        break;

                case 0x1:
                        for (;;) {
                        dot0_write(0x01, 0x08);
                        dot0_write(0x02, 0x24);
                        dot0_write(0x04, 0x14);
                        dot0_write(0x08, 0x10);
                        dot0_write(0x10, 0x00);

                        dot1_write(0x01, 0x7f);
                        dot1_write(0x02, 0x41);
                        dot1_write(0x04, 0x41);
                        dot1_write(0x08, 0x22);
                        dot1_write(0x10, 0x7e);
                        }

                        break;

                default:
                        break;
        }
}

void dot0_write(int col, int row)
{
        *(vint16u *)(0x0C000004) = (unsigned short)((row << 8) | col);
}

void dot1_write(int col, int row)
{
        *(vint16u *)(0x0C000008) = (unsigned short)((row << 8) | col);
}
