/**************************************************************/
/* Program Assignment: util.h                                 */
/* version           : ver 0.1.0.0                            */
/* author            : jaeyou Yang (hackedhouse@hotmail.com)  */
/* data              : 2005-08-02                             */
/* Modified by       : Min Kyu Hwang (middlism@smu.ac.kr)     */
/* Modified at       : 2005-10-08                             */
/* Description       : header file for util.c                 */
/**************************************************************/

#ifndef UTIL_H
#define UTIL_H

#ifndef NULL
#define NULL (void *)0
#endif // end NULL 

unsigned char key_input(void); // mwk
int fnd_output(int uVal); // mwk
void udelay(int delay);

void MemCpy(void *, void *, int);
void MemSet(unsigned char *, const unsigned char, int);
void MemCpyChar(char *, const char *, int);
int MemCmp(void *, void *, int);
void StrCpy(char *, char *);
int StrLen(char *);
int StrNCmp(char *, char *, int);
int StrCmp(char *, char *);
int aToi(char *);
unsigned long aToul(char *);


//product by Hwang M.K.-----------------
//Below functions can indicate radix. 
//Following return value be affected by it.
char * lToaX(long, char *, unsigned long);
char * ulToaX(unsigned long, char *, unsigned long);
long aTolX(char *, unsigned long);
int IsDigitX(char, unsigned long);
//-------------------------------------



/* added by Taewoo,K.------------------------------ */
int IpOrMacCmp(void *addr1, void *addr2, int len);
void IpOrMacMemSet(void *dest, const char c, int len);
unsigned long inet_addr(char* ipaddr);
int StrToEtherAddr(unsigned char *, char *);
/* ------------------------------------------------ */

#endif // end UTIL_H
