#ifndef _SERIAL_H_
#define _SERIAL_H_

#include <arch/types.h>

/* exported functions */
void serial_init(void);
int serial_poll(void);
int serial_flush_input(void);
int serial_flush_output(void);
int serial_read(void);
int serial_write_raw(const char c);
int serial_write(const char c);


/* expention functions */
void SerialOutputString(const char *s);
void SerialOutputHex(const int32u h);
void SerialOutputDec(const int32u d);
void SerialOutputBlock(const char *buf, int bufsize);
int  SerialInputString(char *s, const int len);
int  SerialInputBlock(char *buf, int bufsize);

#endif // _SERIAL_H_
