//------------------------------------------------------------------------------
// ȭϸ : printf.c
//    : ezBoot Ǵ printf Լ ƾ̴. 
// 
// ۼ : â ()̴Ƽ frog@falinux.com
// ۼ : 2001 11 4
// ۱ : ()̴Ƽ 
//    : 
//------------------------------------------------------------------------------

#include <drivers/serial/serial.h>
#include <lib/stdio.h>
#include <lib/string.h>

int putc(char c)
{
        serial_write( c );
        return 1;
}

int putx(char c)
{
        serial_write_raw( c );
        return 1;
}

void puts(char *str)
{
	while(*str)
	{
		if (*str == '\n') putc('\r'); 
		putc(*str++); 
	}
}

int getc(void)
{
	while( !serial_poll() ) ;

	return serial_read() & 0xFF;
}

int gets(char *s)
{
	int cnt = 0;
	char  c;

	while((c = getc()) != CR) {
		if (c == BS) {
			if(cnt > 0) {
				cnt--; 
				*s-- = ' ';
				printf("\b \b");
			}
		} else if (c == 0x1b) {
			cnt += 3;
			*s++ = c;
			*s++ = getc();
			*s++ = getc();
			break;
		} else {
			cnt++;
			*s++ = c;
			printf("%c",c );
		}


	}
	*s = 0;

	return(cnt);
}

//------------------------------------------------------------------------------
//  :  ڿ Ѵ. 
// Ű :  
// ȯ :  
//  :  
//------------------------------------------------------------------------------
int printf(const char *fmt, ...)
{
	char buffer[1024];
	va_list ap;
	int len;

	va_start(ap, fmt);
	len = vsprintf(buffer, fmt, ap);
	va_end(ap);

	puts(buffer);

	return len;
}
/*
//------------------------------------------------------------------------------
// 
//   
// 
//------------------------------------------------------------------------------
#if 1
#define HIS_MAX               16

char HisBuff[HIS_MAX][1024] = { {0,}, };
int  HisCount               = 0;
int  HisIndex               = 0;
#endif

//------------------------------------------------------------------------------
//  : 丮 ߰ Ѵ. 
// Ű : s :   ּ 
// ȯ :  ۿ  丮 
//  : 
//------------------------------------------------------------------------------
#if 1
int his_append(char *s)
{
    int loop;

    // ̹  ڿ  Ѵ. 
    for( loop = 0; loop < HIS_MAX; loop++ )
    {
      if( strcmp( s, HisBuff[loop] ) == 0 ) 
      {
          HisIndex = 0;
          if( HisCount ) HisIndex = HisCount-1;
          return HisCount;
      } 
    } 

    // ο  丮 ۿ ߰ Ѵ. 
    if( HisCount < HIS_MAX )
    {
        strcpy( HisBuff[HisCount], s );
        HisCount++;
    }
    else
    {   
        for( loop = 1; loop < HIS_MAX ; loop++ )
        {
            strcpy( HisBuff[loop-1], HisBuff[loop] );
        }
        strcpy( HisBuff[HIS_MAX-1], s );
        HisIndex = HisCount-1;
    }

    HisIndex = 0; 
    if( HisCount ) HisIndex = HisCount-1;

    return HisCount;
}
#endif
//------------------------------------------------------------------------------
//  : 丮  ۿ Ѵ. 
// Ű : s :   
//        index :    
// ȯ :  
//  : 
//------------------------------------------------------------------------------
#if 1
int his_set(char *s, int index )
{
    int loop;
    int len;

    len = strlen( s );

    //   ڿ . 
    for( loop = 0; loop < len; loop++ )
    {
      printf("\b \b");
    }
     
    //   Ѵ. 
    strcpy( s, HisBuff[index] ); 
    printf( "%s", s );

    return index;
}
#endif
//------------------------------------------------------------------------------
//  : ڿ Է ޴´. ( CR Էµɶ )
// Ű :  
// ȯ :  
//  : 丮  ߰ Ͽ. 
//------------------------------------------------------------------------------
#if 0
int gets_his(char *s)
{
     int cnt = 0;
     char  *fp;
     char  c;

     fp = s;
     
     while( 1 )
     {
          c = getc();


	  if( c == CR )
          {
              *s = 0;
              if( strlen( fp ) ) his_append( fp );
              break;
          }


	  switch( c )
          {
         case 0x1a  : // ^Z
                       if( HisIndex >= 0 )
                       { 
                           his_set( fp, HisIndex );
                           if( HisIndex ) HisIndex--;
                           if( HisIndex >= HisCount ) HisIndex = HisCount -1;
                           cnt = strlen( fp );
                           s = fp + cnt; 
                       } 
                       break;
          case 0x18  : // ^X
                       if( HisIndex < HisCount )
                       { 
                           his_set( fp, HisIndex );
                           HisIndex++;
                           cnt = strlen( fp );
                           s = fp + cnt; 
                       }  
                       break;
      
          case BS    : if( cnt > 0 )
                       { 
                         cnt--; *s-- = ' '; 
                         printf("\b \b");  
                       } 
                       break;
          default    : cnt++;
                       *s++ = c;
                       printf("%c",c );
                       break;
          }
     }
   
     return(cnt);

}
#endif

//------------------------------------------------------------------------------
//  : ѹ Է ´. 
// Ű : Ű, msec
// ȯ :  -1   0
//  : ð  ִ. 
//------------------------------------------------------------------------------
#if 0
#define halfsec ((TICKS_PER_SECOND/1000)*500)
int     getc_timed( char cmpKey, int mTimeOver )
{
	unsigned long ticks, end;
	int     toggle = 0;
	char    key;
	
	if ( mTimeOver == 0 ) return -1;
	
	// ƽ Ѵ.
	ticks   = (TICKS_PER_SECOND/1000) * mTimeOver;
	end     = OSCR + ticks;
        
        OSSR  = OSSR_M0 | OSSR_M1;      // Ÿ̸0,1 ÷οƮ Ŭ
        OSMR0 = end;                    // Ÿ̸0 ÷ο찡 ߻ ƽ
        OSMR1 = OSCR + halfsec;
        // Ÿ̸0 ͷƮ Ȱȭ
        OIER = OSSR_M0 | OSSR_M1;

        // Ÿ̸0 ÷οƮ   
        while( 0 == (OSSR&OSSR_M0) )
        {
                if ( SerialIsReadyChar() )
                {
                        key = SerialIsGetChar()&0xFF;
                        if ( cmpKey     == key ) return 0;
                        if ( (char)0x0d == key ) return -1;
                }
                
                // 0.5 ʸ δ.
                if ( OSSR&OSSR_M1 )
                {
                        OSSR  = OSSR_M1;      // Ÿ̸1 ÷οƮ Ŭ
                        OSMR1 = OSCR + halfsec;
                        
                        toggle ++;
                        printf( "." );
                }        
        }
        
        //  Ÿ̸ ͷƮ Ȱȭ
        OIER = 0;

        return -1;
}
#endif


*/
